

f1 <- function(x) x^2*exp(-x)
f2 <- function(x) exp(-(x-1)^2/2)
f  <- function(x) f1(x) + f2(x)

# (a)
Int.f = integrate(f, 0, 10)$value
cat(sprintf("Integrale con integrate(): %f\n", Int.f))

# (b)  
N=100000
x <- runif(N, 0, 10)
y <- runif(N, 0, 1.5)
sotto <- y <= f(x)
Int.camp <- length(x[sotto]) / N * (10*1.5)
cat(sprintf("Integrale con hit/miss: %f\n", Int.camp))
