
# (a)

f1 <- function(x) x^2*exp(-x)
f2 <- function(x) exp(-(x-1)^2/2)
f  <- function(x) f1(x) + f2(x)

# (b)
plot(f, 0, 10, col='blue', ylim=c(0,1.5))
plot(f1, 0, 10, col='red', lty=2, add=TRUE)
plot(f2, 0, 10, col='magenta', lty=2, add=TRUE)

# ovviamente si poteva anche fare con 
# x <- seq(0, 10, len=101)
# plot(x, f(x),         )       # gli spzi stanno a indicare
# points(x, f1(x),      )       # altri parametri grafici
# etc. 

# (c)
cat("Clicca sul massimo di f(x)")
locator(1)
# qui andava messo il comando di stampa, ad esempio 
cat(sprintf("Massimo: x=1.282, y=1.414\n"))

# (d)
readline(prompt="dai Invio per continuare")
plot(f, 0, 10, col='blue', ylim=c(0,1.5))
N=100000
x <- runif(N, 0, 10)
y <- runif(N, 0, 1.5)
sotto <- y <= f(x)
points(x,y, col='cyan')
points(x[sotto],y[sotto], col='red')

# (e)
readline(prompt="dai Invio per continuare")
hist(x[sotto], col='red', nc=100)
